import 'package:equatable/equatable.dart';


class AddressBookRequest extends Equatable{
  String keyword;
  String osGuid;
  String customerGuid;
  String addressType;
  int first;
  int max;
  String orderBy;
  bool asc;

  AddressBookRequest({this.keyword, this.osGuid, this.customerGuid, this.addressType,
  this.first, this.max, this.orderBy, this.asc});
  @override
  List<Object> get props => [keyword, osGuid, customerGuid, addressType,
    first, max, orderBy, asc];
  @override
  String toString() => '${this.addressType}';

  Map<String, dynamic> toMap(){
    Map<String, dynamic> data = {
      'keyword': keyword,
      'osGuid': osGuid,
      'customerGuid': customerGuid,
      'addressType': addressType,
      'first': first,
      'max': max,
      'orderBy': orderBy,
      'asc': asc,
    };
    return data;
  }
}