
import 'package:equatable/equatable.dart';

class DeliveryAcceptRequest extends Equatable{
  String contentGuid;
  String personGuid;
  String comment;
  String carNumber;
  bool refundInAdvanced;
  double refundAmount;
  String senderSign;
  String assigneeSign;
  int actualWays;
  double latitude;
  double longitude;

  DeliveryAcceptRequest({this.contentGuid, this.personGuid, this.comment,
    this.carNumber, this.refundInAdvanced, this.refundAmount,
  this.senderSign, this.assigneeSign, this.actualWays, this.latitude, this.longitude});
  @override
  List<Object> get props => [contentGuid, personGuid, comment, carNumber,
  senderSign, assigneeSign, actualWays, latitude, longitude];
  @override
  String toString() => '${this.contentGuid}';

  Map<String, dynamic> toMap(){
    Map<String, dynamic> data = {
      'contentGuid': contentGuid,
      'personGuid': personGuid,
      'comment': comment,
      'carNumber': carNumber,
      'refundInAdvanced': refundInAdvanced,
      'refundAmount': refundAmount,
      'senderSign': senderSign,
      'assigneeSign': assigneeSign,
      'actualWays':actualWays,
      'latitude':latitude,
      'longitude':longitude,
    };
    return data;
  }
}