import 'dart:convert';
import 'package:qq_delivery/delivery/config/constant.dart';
import 'package:equatable/equatable.dart';
import 'package:qq_delivery/delivery/model/request/pickup_create_request.dart';
import 'package:shared_preferences/shared_preferences.dart';


class PickupDetailResponse extends Equatable {
  PickupCreateRequest pickupCreateRequest;

  PickupDetailResponse({this.pickupCreateRequest});

  @override
  List<Object> get props => [pickupCreateRequest];

  @override
  String toString() => this.pickupCreateRequest.trackingId;

  Future<bool> fromJson(String json) async{
    pickupCreateRequest = new PickupCreateRequest();
    bool result = false;
    pickupCreateRequest.fromJson(json);

    return result;
  }

}