
import 'package:equatable/equatable.dart';



class CommentItem extends Equatable{

  String type;
  String personGuid;
  String personId;
  String personName;
  String personAvatar;
  String referenceGuid;
  String message;
  String image;
  DateTime createdOn;
  String guid;

  CommentItem({this.type, this.personGuid, this.personId, this.personName, this.personAvatar,
  this.referenceGuid, this.message, this.image, this.createdOn, this.guid});

  @override
  List<Object> get props => [type, personGuid, personId, personName, personAvatar,
    referenceGuid, message, image, createdOn, guid];

  @override
  String toString() => this.message;

  fromMap( Map<String, dynamic> data ){
    personGuid = data["personGuid"];
    personId = data["personId"];
    personName = data["personName"];
    personAvatar = data["personAvatar"];
    message = data["message"];
    image = data["image"];
    createdOn = data["createdOn"]!=null?DateTime.parse(data["createdOn"]) : null;
  }

  Map<String, dynamic> toMap(){
    Map<String, dynamic> data = {
      'type': type,
      'message': message,
      'referenceGuid': referenceGuid,
      'image': image,
    };
    return data;
  }
}