import 'package:equatable/equatable.dart';



class GeneralAddressItem extends Equatable{
  String guid;
  String name;
  String nameMM;
  double latitude;
  double longitude;
  String townshipGuid;
  String stateGuid;

  GeneralAddressItem({this.guid, this.name, this.nameMM, this.latitude,
    this.longitude, this.townshipGuid, this.stateGuid});

  @override
  List<Object> get props => [guid, name, nameMM, latitude,
    longitude, townshipGuid, stateGuid];

  @override
  String toString() => this.name;

  fromMap( Map<String, dynamic> data ){
    guid = data["guid"];
    name = data["name"];
    nameMM = data["nameMM"];
    latitude = data["latitude"];
    longitude = data["longitude"];
    townshipGuid = data["townshipGuid"];
    stateGuid = data["stateGuid"];
  }

}