import 'dart:convert';
import 'package:qq_delivery/delivery/config/constant.dart';
import 'hrm_base_client.dart';
import 'user_service.dart';


class PromotionService{

  String _url = "/v3/promotion/";
  UserService _userService = new UserService();

  Future<Map<String, dynamic>> checkPromoCode(String code) async{

    String accessToken = await _userService.getToken();
    String jsonString = await getRequestWithAccessToken(
        "${_url}check_promo_code/$code", accessToken );

    if( Constant.ENABLE_LOGS)
      print(jsonString);

    Map<String, dynamic> resultData = jsonDecode(jsonString);
    return resultData;
  }
}