import 'package:qq_delivery/delivery/config/constant.dart';
import 'package:qq_delivery/delivery/model/request/os_deposit_refund_list_request.dart';
import 'package:qq_delivery/delivery/model/response/http_response.dart';
import 'package:qq_delivery/delivery/model/response/os_deposit_refund_list_response.dart';
import 'hrm_base_client.dart';
import 'user_service.dart';


class RefundService{

  String _url = "/v3/expense/";
  UserService _userService = new UserService();

  Future<OSDepositRefundListResponse> list(OSDepositRefundListRequest request ) async{
    OSDepositRefundListResponse response;

    String accessToken = await _userService.getToken();
    HTTPResponse httpResponse = await postRequestWithAccessToken(
        "${_url}list",
        request.toMap(),
        accessToken );
    if( Constant.ENABLE_LOGS)
      print(httpResponse.data);

    response = new OSDepositRefundListResponse();
    response.fromJson(httpResponse.data);
    return response;
  }

}