import 'package:qq_delivery/delivery/config/constant.dart';
import 'package:qq_delivery/delivery/model/response/general_address_response.dart';
import 'hrm_base_client.dart';



class StateService{
  String _url = "/v3/state/";

  Future<GeneralAddressResponse> list() async{
    GeneralAddressResponse response;

    String jsonString = await getRequest("${_url}list" );

    if( Constant.ENABLE_LOGS)
      print(jsonString);

    response = new GeneralAddressResponse();
    response.fromJson(jsonString);
    return response;
  }
}