import 'package:qq_delivery/delivery/config/constant.dart';
import 'package:qq_delivery/delivery/model/response/general_address_response.dart';
import 'package:qq_delivery/delivery/service/user_service.dart';
import 'hrm_base_client.dart';



class StreetService{
  String _url = "/v3/street/";

  Future<GeneralAddressResponse> list([String townshipGuid]) async{
    GeneralAddressResponse response;

    String sGuid =townshipGuid??'';

    String jsonString = await getRequest("${_url}list?townshipGuid=$sGuid" );
    if( Constant.ENABLE_LOGS)
      print(jsonString);

    response = new GeneralAddressResponse();
    response.fromJson(jsonString);
    return response;
  }
}