import 'package:qq_delivery/delivery/config/constant.dart';
import 'package:qq_delivery/delivery/model/response/general_address_response.dart';
import 'hrm_base_client.dart';


class TownshipService{

  String _url = "/v3/township/";
  Future<GeneralAddressResponse> list([String stateGuid]) async{
    GeneralAddressResponse response;
    String sGuid =stateGuid??'';
    String jsonString = await getRequest("${_url}list?stateGuid=$sGuid" );
    if( Constant.ENABLE_LOGS)
      print(jsonString);
    response = new GeneralAddressResponse();
    response.fromJson(jsonString);
    return response;
  }

  Future<GeneralAddressResponse> listForDeliveryAvailable([String stateGuid]) async{
    GeneralAddressResponse response;
    String sGuid =stateGuid??'';
    String jsonString = await getRequest("${_url}list/${sGuid}" );
    if( Constant.ENABLE_LOGS)
      print(jsonString);

    response = new GeneralAddressResponse();
    response.fromJson(jsonString);
    return response;
  }

}