import 'package:qq_delivery/delivery/config/constant.dart';
import 'package:qq_delivery/delivery/model/response/zone_list_response.dart';
import 'hrm_base_client.dart';



class ZoneService{

  String _url = "/v3/zone/";

  Future<ZoneListResponse> list(String branchGuid, String accessToken) async{
    ZoneListResponse response;

    String jsonString = await getRequestWithAccessToken(
        "${_url}list/$branchGuid", accessToken );
    if( Constant.ENABLE_LOGS)
      print(jsonString);

    response = new ZoneListResponse();
    response.fromJson(jsonString);
    return response;
  }
}