import 'package:image/image.dart' as imglib;


//https://pub.dev/packages/image
imglib.Image copyCrop(imglib.Image src, int x, int y, int w, int h,
    bool resize, int resizeWidth){
  imglib.Image dst = imglib.Image(w, h, channels: src.channels, exif: src.exif,
      iccp: src.iccProfile);

  for (int yi = 0, sy = y; yi < h; ++yi, ++sy) {
    for (int xi = 0, sx = x; xi < w; ++xi, ++sx) {
      dst.setPixel(xi, yi, src.getPixel(sx, sy));
    }
  }

  if( resize ){
    return imglib.copyResize( dst, width: resizeWidth );
  }else
    return dst;
}