import 'package:equatable/equatable.dart';


class AttendanceRequest extends Equatable{

  static const String SOURCE_KIOSK = 'kiosk';

  String faceGUID;
  double latitude;
  double longitude;
  double altitude;
  double accuracy;
  double heading;
  double speed;
  String note;
  String action;
  String ipAddress;
  List<Map<String, dynamic>> wifis;
  String source;
  String guid;
  String firebase;
  String kioskGUID;

  AttendanceRequest({this.faceGUID, this.latitude, this.longitude, this.altitude,
    this.accuracy, this.heading, this.speed, this.note, this.action, this.ipAddress,
    this.wifis, this.source, this.guid, this.firebase, this.kioskGUID});
  @override
  List<Object> get props => [faceGUID, latitude, longitude, altitude,
    accuracy, heading, speed, note, action, ipAddress, wifis,
    source, guid, firebase, kioskGUID];

  Map<String, dynamic> toMap(){
    Map<String, dynamic> data = {
      'faceGUID': faceGUID,
      'latitude': latitude,
      'longitude': longitude,
      'altitude': altitude,
      'accuracy':accuracy,
      'heading':heading,
      'speed':speed,
      'note':note,
      'ipAddress':ipAddress,
      'action':action,
      'wifis':wifis,
      'source': source,
      'token': guid,
      'firebase': firebase,
      'kioskGUID': kioskGUID
    };

    return data;
  }

}