import 'dart:convert';
import 'package:equatable/equatable.dart';



class PhotosListByFace extends Equatable {
  String profile;
  String face1;
  String face2;
  String face3;

  PhotosListByFace({this.profile, this.face1, this.face2, this.face3});
  @override
  List<Object> get props => [profile, face1, face2, face3];
  @override
  String toString() => this.face1;

  bool fromJson(String json){
    if( json == null) return false;
    Map<String, dynamic> resultData = jsonDecode(json);
    if( resultData["success"]){
      Map<String, dynamic> data = resultData["data"];
      profile = data["profile"];
      face1 = data["face1"];
      face2 = data["face2"];
      face3 = data["face3"];
      return true;
    }else{
      return false;
    }
  }

}