

import '/hrm/config/constant.dart';
import '/hrm/model/response/pay_grade_response.dart';
import 'hrm_base_client.dart';


class PayGradeService{

  Future<PayGradeResponse> list(String organizationGuid, String accessToken )async{
    PayGradeResponse response;

    try{
      String uri = "/v1/payrollGrade/list/$organizationGuid";
      String jsonString = await getRequestWithAccessToken(uri, accessToken);
      if( Constant.ENABLE_LOGS)
        print(jsonString);

      response = PayGradeResponse( );
      response.fromJson( jsonString );

    }catch(e){}

    return response;
  }

}