

import '/hrm/config/constant.dart';
import '/hrm/model/response/payslip_response.dart';
import 'hrm_base_client.dart';


class PayslipService{

  Future<PayslipResponse> list(String employeeGuid, String accessToken, int first, int max)async{
    PayslipResponse response;

    try{
      String uri = "/v1/payroll/list_by_employee/$employeeGuid?first=$first&max=$max";
      String jsonString = await getRequestWithAccessToken(uri, accessToken);
      if( Constant.ENABLE_LOGS)
        print(jsonString);

      response = PayslipResponse( );
      response.fromJson( jsonString );

    }catch(e){}

    return response;
  }

}