
import 'package:equatable/equatable.dart';

class DeliveryAssignRequest extends Equatable{
  String contentGuid;
  String personGuid;
  String type;//Initial, Re-assign
  String comment;

  DeliveryAssignRequest({this.contentGuid, this.personGuid, this.type, this.comment});
  @override
  List<Object> get props => [contentGuid, personGuid, type, comment];
  @override
  String toString() => '${this.contentGuid}';

  Map<String, dynamic> toMap(){
    Map<String, dynamic> data = {
      'contentGuid': contentGuid,
      'personGuid': personGuid,
      'type': type,
      'comment': comment,
    };
    return data;
  }
}