
import 'package:equatable/equatable.dart';



class MessageItem extends Equatable{

  String userGuid;
  String messageContent;
  String attachFile;
  String sessionType;
  String sessionGuid;
  String mediaType;

  MessageItem({this.userGuid, this.messageContent, this.attachFile,
    this.sessionType, this.sessionGuid, this.mediaType});

  @override
  List<Object> get props => [userGuid, messageContent, attachFile,
    sessionType, sessionGuid, mediaType];

  @override
  String toString() => this.messageContent;

  Map<String, dynamic> toMap(){
    Map<String, dynamic> data = {
      'userGuid': userGuid,
      'messageContent': messageContent,
      'attachFile': attachFile,
      'sessionType': sessionType,
      'sessionGuid': sessionGuid,
      'mediaType': mediaType,
    };

    return data;
  }
}