

import 'package:qq_delivery/delivery/config/constant.dart';
import 'package:qq_delivery/delivery/model/response/mem_promotion_response.dart';
import 'hrm_base_client.dart';
import 'user_service.dart';

class MemberService{

  String _uri = "/v3/member_promotion/";

  Future<MemberPromotionResponse> promoBalance(String osGuid) async{
    MemberPromotionResponse response;
    UserService _userService = UserService();
    String accessToken = await _userService.getToken();
    String jsonString = await getRequestWithAccessToken("${_uri}list_by_member/$osGuid", accessToken );

    if( Constant.ENABLE_LOGS)
      print(jsonString);
    response = new MemberPromotionResponse();
    response.fromJson(jsonString);
    return response;
  }
}