
import 'package:qq_delivery/delivery/config/constant.dart';
import 'package:qq_delivery/delivery/model/response/department_list_response.dart';
import '../hrm_base_client.dart';
import '../user_service.dart';


class DepartmentService{
  String _url = "/v3/department/";

  Future<DepartmentListResponse> listJoined( ) async{
    DepartmentListResponse response;

    UserService _userService = UserService();
    String accessToken = await _userService.getToken( );
    String jsonString = await getRequestWithAccessToken(
        "${_url}list_joined", accessToken );

    if( Constant.ENABLE_LOGS)
      print(jsonString);

    response = new DepartmentListResponse();
    response.fromJson(jsonString);
    return response;
  }

  Future<DepartmentListResponse> listVisible( ) async{
    DepartmentListResponse response;

    UserService _userService = UserService();
    String accessToken = await _userService.getToken( );
    String jsonString = await getRequestWithAccessToken(
        "${_url}list_visible", accessToken );

    if( Constant.ENABLE_LOGS)
      print(jsonString);

    response = new DepartmentListResponse();
    response.fromJson(jsonString);
    return response;
  }

}