
import 'dart:typed_data';

class FacialTemplate {
  final int id;
  final int facial;
  final Uint8List template;
  final int createdOn;

  FacialTemplate({this.id, this.facial, this.template, this.createdOn});

  Map<String, dynamic> toMap() {
    return {
      'id': id,
      'facial': facial,
      'template': template,
      'createdOn': createdOn
    };
  }

  // Implement toString to make it easier to see information about
  // each dog when using the print statement.
  @override
  String toString() {
    return 'FacialTemplate{id: $id}';
  }
}