

class Log{
  int id;
  DateTime logTime;
  String note;
  String facialGuid;

  Log({this.id, this.logTime, this.note, this.facialGuid});

  Map<String, dynamic> toMap() {
    return {
      'id': id,
      'logTime': logTime.millisecondsSinceEpoch,
      'note': note,
      'facialGuid': facialGuid
    };
  }

  fromMap( Map<String, dynamic> data ) async{
    if( data == null) return;
    id = data['id'];
    logTime = DateTime.fromMillisecondsSinceEpoch(data['logTime']);
    note = data['note'];
    facialGuid = data['facialGuid'];
//    return Log(
//        id: data['id'],
//        logTime: DateTime.fromMillisecondsSinceEpoch(data['logTime']),
//        note: data['note'],
//        facialGuid: data['facialGuid']
//    );
  }
}