import 'dart:io';
import 'dart:convert';
import 'package:flutter/material.dart';
import 'dart:typed_data';

//https://www.coderzheaven.com/2019/10/15/googles-flutter-tutorial-save-image-as-string-in-local-storage-and-retrieve-preferences/
String encode( File file){
  return base64Encode(file.readAsBytesSync());
}

Image decode( String base64String ){
  return Image.memory(
    base64Decode(base64String),
    fit: BoxFit.fill,
  );
}

String base64String(Uint8List data) {
  return base64Encode(data);
}