// import 'package:firebase_ml_vision/firebase_ml_vision.dart';
// import 'package:flutter/material.dart';
//
//
//
// class FaceDetectorPainter extends CustomPainter {
//   FaceDetectorPainter(this.imageSize, this.faces, {this.reflection = false});
//
//   final bool reflection;
//   final Size imageSize;
//   final List<Face> faces;
//
//   @override
//   void paint(Canvas canvas, Size size) {
//     final Paint paint = Paint()
//       ..style = PaintingStyle.stroke
//       ..strokeWidth = 2.0
//       ..color = Colors.green;
//
//
//     for (Face face in faces) {
//       final faceRect =
//       _reflectionRect(reflection, face.boundingBox, imageSize.width);
//       canvas.drawRect(
//         _scaleRect(
//           rect: faceRect,
//           imageSize: imageSize,
//           widgetSize: size,
//         ),
//         paint,
//       );
//     }
//
//     if( faces == null || (faces!=null && faces.isEmpty) ){
//       canvas.drawRect(
//         _clearRect( ),
//         paint,
//       );
//     }
//
//   }
//
//   @override
//   bool shouldRepaint(FaceDetectorPainter oldDelegate) {
//     return oldDelegate.imageSize != imageSize || oldDelegate.faces != faces;
//   }
// }
//
// Rect _reflectionRect(bool reflection, Rect boundingBox, double width) {
//   if (!reflection) {
//     return boundingBox;
//   }
//   final centerX = width / 2;
//   final left = ((boundingBox.left - centerX) * -1) + centerX;
//   final right = ((boundingBox.right - centerX) * -1) + centerX;
//   return Rect.fromLTRB(left, boundingBox.top, right, boundingBox.bottom);
// }
//
// Rect _scaleRect({
//   @required Rect rect,
//   @required Size imageSize,
//   @required Size widgetSize,
// }) {
//   final scaleX = widgetSize.width / imageSize.width;
//   final scaleY = widgetSize.height / imageSize.height;
//
//   final scaledRect = Rect.fromLTRB(
//     rect.left.toDouble() * scaleX,
//     rect.top.toDouble() * scaleY,
//     rect.right.toDouble() * scaleX,
//     rect.bottom.toDouble() * scaleY,
//   );
//   return scaledRect;
// }
//
// Rect _clearRect() {
//   final scaledRect = Rect.fromLTRB(
//     0.0,
//     0.0,
//     0.0,
//     0.0,
//   );
//   return scaledRect;
// }