import 'package:equatable/equatable.dart';



class GeofencingSearchRequest extends Equatable{
  String organizationGUID;
  String name;
  String status;
  String action;
  int first;
  int max;

  GeofencingSearchRequest({this.organizationGUID, this.name, this.status, this.action, this.first, this.max});
  @override
  List<Object> get props => [organizationGUID, name, status, action, first, max];

  Map<String, dynamic> toMap(){

    Map<String, dynamic> data = {
      'organizationGUID': organizationGUID,
      'name': name,
      'status': status,
      'action': action,
      'first':first,
      'max':max
    };

    return data;
  }
}