import 'package:equatable/equatable.dart';



class GeofencingUpdateRequest extends Equatable{

  String name;
  int restrictedType;
  double latitude;
  double longitude;
  int radius;
  String bssId;
  String ssId;
  String neighbouring;
  int wifiCondition;
  String action;
  String guid;

  GeofencingUpdateRequest({this.name, this.restrictedType,
    this.latitude, this.longitude, this.radius, this.bssId, this.ssId,
    this.neighbouring, this.wifiCondition, this.action, this.guid});

  @override
  List<Object> get props => [ name, restrictedType,
    latitude, longitude, radius, bssId, ssId,
    neighbouring, wifiCondition, action, guid];


  Map<String, dynamic> toMap(){

    Map<String, dynamic> data = {
      'name': name,
      'restrictedType': restrictedType,
      'latitude': latitude,
      'longitude':longitude,
      'radius':radius,
      'bssId':bssId,
      'ssId':ssId,
      'neighbouring':neighbouring,
      'wifiCondition':wifiCondition,
      'action':action,
      'guid':guid
    };

    return data;
  }
}