import '/hrm/model/response/job_titles_response.dart';
import 'hrm_base_client.dart';


class JobTitlesService{

  Future<JobTitleListResponse> search(String organizationGUID, String userAccessToken, String name) async{

    if( name == null)
      name = '';

    String _uri = "/v1/job_titles/search/${organizationGUID}?name=${name}";
    String response = await getRequestWithAccessToken(_uri, userAccessToken);
    JobTitleListResponse jobTitleListResponse = new JobTitleListResponse();
    jobTitleListResponse.fromJson(response);

    return jobTitleListResponse;
  }

}