

import 'dart:convert';
import '/hrm/config/constant.dart';
import 'hrm_base_client.dart';


class ValidationService{

  Future<bool> sendToken( String accessToken)async{
    bool response;

    try{
      String uri = "/v1/recogser/2fa/token";
      String jsonString = await getRequestWithAccessToken(uri, accessToken);
      if( Constant.ENABLE_LOGS)
        print(jsonString);
      Map<String, dynamic> resultData = jsonDecode(jsonString);
      response = resultData["success"];
    }catch(e){}

    return response;
  }

  Future<bool> validate(String token, String accessToken)async{
    bool response;

    try{
      String uri = "/v1/recogser/2fa/validate/$token";
      String jsonString = await getRequestWithAccessToken(uri, accessToken);
      if( Constant.ENABLE_LOGS)
        print(jsonString);
      Map<String, dynamic> resultData = jsonDecode(jsonString);
      response = resultData["success"];
    }catch(e){}

    return response;
  }

}